x

Search in
Sort by:

Question Status:

Search help

  • Simple searches use one or more words. Separate the words with spaces (cat dog) to search cat,dog or both. Separate the words with plus signs (cat +dog) to search for items that may contain cat but must contain dog.
  • You can further refine your search on the search results page, where you can search by keywords, author, topic. These can be combined with each other. Examples
    • cat dog --matches anything with cat,dog or both
    • cat +dog --searches for cat +dog where dog is a mandatory term
    • cat -dog -- searches for cat excluding any result containing dog
    • [cats] —will restrict your search to results with topic named "cats"
    • [cats] [dogs] —will restrict your search to results with both topics, "cats", and "dogs"

Office Holiday

Epic Games' offices will be on holiday from June 22nd to July 7th. During this period support will be limited. Our offices will reopen on Monday, July 8th. 

Failed to copy PhysX

Below is the error generated after migration to 4.10, even verified 4.10 engine integrity before reporting issue.

 LogPlayLevel: Program.Main: ERROR: Exception in AutomationUtils.Automation: Failed to copy C:\Program Files\Epic Games\4.10\Engine\Binaries\ThirdParty\PhysX\PhysX-3.3\Win64\VS2013\PhysX3PROFILE_x64.dll to C:\Users\Profile\Documents\Unreal Projects\Project1\Saved\StagedBuilds\WindowsNoEditor\Engine\Binaries\ThirdParty\PhysX\PhysX-3.3\Win64\VS2013\PhysX3PROFILE_x64.dll
Product Version: UE 4.10
Tags:
more ▼

asked Nov 12 '15 at 04:52 AM in Bug Reports

avatar image

Konshu
3 1 4 5

avatar image Matthew J Nov 12 '15 at 02:43 PM

Hello Konshu,

I have a few questions for you about this issue.

  1. When exactly does this error appear? What are you in the middle of doing?

  2. Which version of the engine was your project originally in?

  3. Have you tried using a fresh project to see if the same error occurs? It would be good to narrow down if it is related to your project or not.

avatar image Konshu Nov 13 '15 at 01:31 AM

When exactly does this error appear? What are you in the middle of doing?

Error occurs when launching project to windows 64 bit standalone game to test.

Which version of the engine was your project originally in?

Moved up from latest 4.9 to 4.10 to take advantage of the mobile stuff, noticed in output log it specifically calls out Third Party PhysX dll.

Have you tried using a fresh project to see if the same error occurs? It would be good to narrow down if it is related to your project or not.

Just tried and confirmed that the default blueprint 3rd person does work fine, however not exactly sure WHY I would be calling this ThirdParty PhysX dll.

avatar image Matthew J Nov 13 '15 at 03:17 PM

I see from your error message that it is mentioning VS2013, which could be part of the problem. If you're using the Binary version (the one downloaded from the launcher) of 4.10, you'll need to use VS2015. To be honest, that shouldn't cause this issue however and the default FirstPerson template project also includes that same PhysX dll. Can you see if you get the same error from actually packaging the game out? It should have to copy that same .dll. I'm interested to see if you'll receive that same error while packaging. If it does occur, can you try running the editor in Administrator mode?

avatar image Konshu Nov 13 '15 at 04:15 PM

Oddly enough I just tried to package the game for windows 64bit and UE4 tells me now I don't have visual studio installed. I do have Visual Studio 2013 ultimate running in the background.

(comments are locked)
10|2000 characters needed characters left
Viewable by all users

1 answer: sort voted first

That would be because Visual Studio 2015 is required for 4.10's Binary version. The blueprint project wouldn't have a problem packaging since it doesn't involve any code, but if your main project does, that would be why.

Can you try getting Visual Studio 2015 Community to see if it'll work correctly then? You may also need to generate project files again by right-clicking your .uproject file after 2015 is installed.

more ▼

answered Nov 13 '15 at 09:55 PM

avatar image Konshu Nov 14 '15 at 08:25 PM

Yeah, looks like its working now, so VS2015 is a requirement then for projects moving to 4.10? I was under the impression it was supported vs. required. Thanks for the resolution though.

avatar image Matthew J Nov 16 '15 at 02:47 PM

You should be able to use 2013 with a build of the engine compiled from Source code by adding the "-2013" launch argument to the GenerateProjectFiles.bat

(comments are locked)
10|2000 characters needed characters left
Viewable by all users
Your answer
toggle preview:

Up to 5 attachments (including images) can be used with a maximum of 5.2 MB each and 5.2 MB total.

Follow this question

Once you sign in you will be able to subscribe for any updates here

Answers to this question